> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookalike Companies Search

> **Deprecated.** Use `POST /companies/search/similar` instead — same data, same body.

Find companies similar to a specified target company based on firmographic and technographic attributes.



## OpenAPI

````yaml en-openapi POST /companies/lookalikes/search
openapi: 3.0.0
info:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/en/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/en/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: Workspace profile information and usage statistics
  - name: Enrichment
    description: Enrich people and company records with detailed B2B data
  - name: Lookalike
    description: Find companies similar to a given company
  - name: Search
    description: Search for people, companies, jobs, news, and advertisements with filters
  - name: Lookup
    description: >-
      Look up detailed information for specific people, companies, jobs, news,
      advertisements, and technologies
  - name: LinkedIn
    description: Look up people and company data via LinkedIn profile URLs
  - name: Redeem
    description: Redeem credits to unlock people contact details (single and batch)
  - name: Channels
    description: Manage outreach channel templates (create, update, delete, list)
  - name: Monitor
    description: Create and manage data monitors with webhooks, statistics, and processing
  - name: Filters
    description: >-
      Retrieve available filter values for search parameters (technologies,
      locations, verticals, etc.)
externalDocs:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  url: https://docs.pubrio.com
paths:
  /companies/lookalikes/search:
    post:
      tags:
        - Lookalike
      summary: Search for lookalike companies
      description: >-
        **Deprecated.** Use `POST /companies/search/similar` instead — same
        data, same body.


        Find companies similar to a specified target company based on
        firmographic and technographic attributes.
      operationId: companies_search_lookalikes
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                locations:
                  $ref: '#/components/schemas/locations'
                exclude_locations:
                  $ref: '#/components/schemas/exclude_locations'
                technologies:
                  $ref: '#/components/schemas/technologies'
                categories:
                  $ref: '#/components/schemas/categories'
                verticals:
                  $ref: '#/components/schemas/verticals'
                vertical_categories:
                  $ref: '#/components/schemas/vertical_categories'
                vertical_sub_categories:
                  $ref: '#/components/schemas/vertical_sub_categories'
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                domain:
                  $ref: '#/components/schemas/domain'
                linkedin_url:
                  $ref: '#/components/schemas/company_linkedin_url'
                employees:
                  $ref: '#/components/schemas/employees'
                founded_dates:
                  $ref: '#/components/schemas/founded_dates'
                revenues:
                  $ref: '#/components/schemas/revenues'
                job_locations:
                  $ref: '#/components/schemas/locations'
                job_posted_dates:
                  $ref: '#/components/schemas/posted_dates'
                job_titles:
                  $ref: '#/components/schemas/people_titles'
                news_categories:
                  $ref: '#/components/schemas/news_categories'
                news_published_dates:
                  $ref: '#/components/schemas/published_dates'
                is_enable_similarity_search:
                  $ref: '#/components/schemas/is_enable_similarity_search'
                similarity_score:
                  $ref: '#/components/schemas/similarity_score'
                per_page:
                  $ref: '#/components/schemas/per_page'
                page:
                  $ref: '#/components/schemas/page'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              anyOf:
                - title: Domain Search ID
                  required:
                    - domain_search_id
                - title: Domain
                  required:
                    - domain
                - title: LinkedIn URL
                  required:
                    - linkedin_url
      responses:
        '200':
          description: Successful response containing company search details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  pagination:
                    page: 1
                    per_page: 25
                    total_entries: 45234700
                    total_pages: 1809388
                  companies:
                    - logo_url: >-
                        https://buckets.pubrio.com/company-logo/MjI0NDc1OTMxaWxqOXNzbmoxdHdpdHRlci5jb20=.jpg
                      company_name: Twitter
                      emails:
                        - ...
                      phones:
                        - ...
                      contacts:
                        - ...
                      founded_year: 2006
                      specialties:
                        - Software Development
                      industry: Software Development
                      domain: twitter.com
                      domain_search_id: 61a73da7-2efc-41a5-a252-a8a8df29925a
                      domain_id: 224475931
                      linkedin_company_id: 44005587
                      linkedin_name: twitter
                      is_company_url_active: true
                      domain_ids:
                        - 224475931
                        - 1758889566
                        - 368242865
                      company_keywords:
                        - realtime information
                        - social commerce
                        - online shopping
                        - classifieds
                        - craigslist killers
                        - e-commerce
                        - killers
                        - consumer internet
                        - internet
                        - information technology
                        - edp services
                        - technology
                        - software development
                        - microblogging
                        - social networking
                        - public conversation
                        - user engagement
                        - content sharing
                        - advertising solutions
                        - monetization
                        - community building
                        - digital wallet
                        - ai integration
                        - user safety
                      company_size: 1500
                      youtube_url: null
                      crunchbase_url: null
                      linkedin_url: http://www.linkedin.com/company/twitter
                      instagram_url: null
                      facebook_url: http://facebook.com/twitterinc
                      twitter_url: https://twitter.com/x
                      github_url: null
                      x_url: null
                      location: United States
                      company_ranking: null
                      company_url: http://twitter.com
                      saved_lists: null
                      company_size_printed: 1,500
                    - ...
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
      deprecated: true
components:
  schemas:
    locations:
      type: array
      items:
        type: string
      example:
        - US
        - SG
        - CN
      description: >-
        ISO 3166-1 alpha-2 (cca2) is used for filtering locations. Check out
        `location` endpoints under the Filters tab for more information.
    exclude_locations:
      type: array
      items:
        type: string
      example:
        - CN
        - US
        - RU
        - CA
      description: >-
        ISO 3166-1 alpha-2 (cca2) is used to filter out locations that does not
        need to be returned. Check out `location` endpoints under the Filters
        tab for more information.
    technologies:
      type: array
      items:
        type: integer
      description: >-
        A list of `tag_id` used to search for specific technologies used by
        companies. To find the ID, call the `technology` endpoint under the
        Filters tab.


        This filter supports `is_enable_similarity_search`, once enabled you can
        enter any free text, e.g. `["Shopify"]`.
    categories:
      type: array
      items:
        type: integer
      description: >-
        A list of `category_id` used to search for specific categories of
        technology used by companies. To find the ID, call the `category`
        endpoint under the Filters tab.


        This filter supports `is_enable_similarity_search`, once enabled you can
        enter any free text, e.g. `["CDN"]`.
    verticals:
      type: array
      items:
        type: integer
      description: >-
        A list of `vertical_id` used to search for companies in a specific
        vertical or industry. To find the ID, call the `vertical` endpoint under
        the Filters tab.


        This filter supports `is_enable_similarity_search`, once enabled you can
        enter any free text, e.g. `["AI"]`.
    vertical_categories:
      type: array
      items:
        type: integer
      description: >-
        A list of `vertical_category_id` used to search for companies in a
        specific vertical category. To find the ID, call the `vertical category`
        endpoint under the Filters tab.


        This filter supports `is_enable_similarity_search`, once enabled you can
        enter any free text, e.g. `["Information Technology"]`.
    vertical_sub_categories:
      type: array
      items:
        type: integer
      description: >-
        A list of `vertical_sub_category_id` used to search for companies in a
        specific vertical sub-category. To find the ID, call the `vertical sub
        category` endpoint under the Filters tab.


        This filter supports `is_enable_similarity_search`, once enabled you can
        enter any free text, e.g. `["Software"]`.
    domain_search_id:
      type: string
      format: uuid
      description: A unique identifier for the company search operation.
    domain:
      type: string
      example: pubrio.com
      description: >-
        A company domain used for company search operations. If we receive a URL
        such as `www.pubrio.com` or `https://docs.pubrio.com/`, the system will
        convert it to `pubrio.com` for processing.
    company_linkedin_url:
      type: string
      example: https://www.linkedin.com/company/pubrio
      description: >-
        The fully formed URL of the LinkedIn company profile. URL begin with
        `http` and contain `linkedin.com/company/`
    employees:
      type: array
      items:
        type: array
        items:
          type: string
      example:
        - - 1
          - 10
        - - 11
          - 20
        - - 10001
      description: >-
        The number range of employees working for the company. This enables you
        to find companies based on headcount. You can add multiple ranges to
        expand your search results. 

         Check out `company size` endpoints under the Filters tab for more information.
    founded_dates:
      type: array
      items:
        type: integer
      example:
        - 2018
        - 2024
      description: >-
        Years of company founded range. The maximum value founded is the current
        year.
    revenues:
      type: array
      items:
        type: integer
      example:
        - 0
        - 100000
      description: Minimum and maximum range of company revenue.
    posted_dates:
      type: array
      items:
        type: string
      example:
        - '2025-01-01'
        - '2025-01-10'
      description: Date range of the posted date. The maximum value is the current day.
    people_titles:
      type: array
      items:
        type: string
      example:
        - sales manager
        - marketing manager
      description: |-
        Job titles associated with the individuals you aim to locate. 

         The results will also encompass job titles that include similar terminology, even if they do not match exactly. For instance, searching for `software engineer` may yield results for individuals with the title `senior software engineer`.
    news_categories:
      type: array
      items:
        type: string
      example:
        - launches
      description: >-
        List of `category slugs` for searching for specific news categories. To
        find a slug, call the `news categories` endpoint under the Filters tab.
    published_dates:
      type: array
      items:
        type: string
      example:
        - '2025-01-01'
        - '2025-01-10'
      description: Date range of the published date. The maximum value is the current day.
    is_enable_similarity_search:
      type: boolean
      description: >-
        When enabled, the filters listed above that support similarity searches
        can be filled with free text for specific IDs.
    similarity_score:
      type: number
      format: float
      example: 0.7
      description: >-
        It is used in conjunction with `is_enable_similarity_search`. This
        number is used to analyze whether a specific slug (e.g. vertical
        industry, technology) is similar to the user input, and the higher the
        number, the more stringent it is.
    per_page:
      type: integer
      example: 25
      description: >-
        The number of search results that should be returned for each page.
        Limited the number of results per page improves the endpoint's
        performance.
    page:
      type: integer
      example: 1
      description: The page number of the Pubrio data that you want to retrieve.
    profile_id:
      type: integer
      description: >-
        Optional. An identifier for the user profile (workspace) making the
        request. This is no longer required as the API key already includes your
        workspace information. If provided, it helps in associating the lookup
        with a specific user, allowing for data retrieval and credit tracking. 

         Check out `user details` endpoints under the Profile tab for more information.
    data:
      type: object
      nullable: true
      description: Response info depends on specific endpoint.
  responses:
    general_error:
      description: >-
        Bad request. The request was malformed or contained invalid parameters.
        Check the error code and message for details.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: >-
                  Errors and codes will vary depending on the scenario, please
                  see the documentation for information.
                type: string
              details:
                type: object
    rate_limit_error:
      description: >-
        Rate limit exceeded. Too many requests were made in a given time period.
        Retry after the rate limit window resets.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: Request rate limit exceeded. Please wait and try again later.
                type: string
    server_error:
      description: >-
        Internal server error. An unexpected error occurred on the server.
        Contact support if the error persists.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: An unexpected error occurred on the server.
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        A unique API token that represents the actions you perform through the
        API and the corresponding permissions and operations. You can create it
        through the [Settings](https://dashboard.pubrio.com/#/settings/)
        section.
      in: header

````